import javax.xml.rpc.ParameterMode;
import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import org.apache.axis.encoding.XMLType;

/**
 *
 *@author jsgarcia
 *Send comments to regulondb@ccg.unam.mx
 *@name ClientTranscriptionUnitgetTranscriptionUnit
 *@version 1.0
 *@time
 *<22/10/2010 -14:40pm >
 *@description This is a client that call the Web service TranscriptionUnit and its method getTranscriptionUnit
 *@output String
 * TRANSCRIPTION UNIT (TU)
 * TU Name
 * Synonyms
 * Genes
 * References
 * PROMOTER
 * Promoter Name
 * Pos +1
 * Sigma Factor
 * Distance to the start of the first gene
 * Sequence
 * Evidence
 * Reference
 * TERMINATOR
 * Type
 * Sequence
 * Evidence
 * Reference
 * REGULATION (BINDING SITES –BS)
 * Transcription Factor
 * Function
 * Promoter
 * BS left position
 * BS right position
 * BS center position
 * BS sequence
 * BS Evidence Code
 * BS Reference
 *@category Client Web service
 *@usage java ClientTranscriptionUnitgetTranscriptionUnit
 *@environment PATH variable with Axis libraries
 *@param none
 *@requirements Axis library
*/

public class ClientTranscriptionUnitgetTranscriptionUnit {
public static void main (String args[])throws Exception{
        try{
            //calling the Web services
            String endPoint = "http://regulondb.ccg.unam.mx/webservices/TranscriptionUnit.jws";
            String method="getTranscriptionUnit";
            Service service=new Service();
            //getting the data
            String ObjectId="ECK120009381";//example
            Call callWS=(Call) service.createCall();
            callWS.setTargetEndpointAddress (new java.net.URL(endPoint));
            callWS.setOperationName (method);
            callWS.addParameter ("objectId", XMLType.XSD_STRING, ParameterMode.IN);
            callWS.setReturnType (XMLType.XSD_STRING);
            String result = (String) callWS.invoke (new Object [] {ObjectId});
            System.out.print(result);
        }catch (Exception e){
            System.out.println("\t Exception: The server is not responding \n "+e);
        }
    }
}